"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const check_1 = require("express-validator/check");
const errors_1 = require("../../errors");
const handleValidationMiddleware = (req, res, next) => {
    const errors = check_1.validationResult(req);
    if (errors.isEmpty()) {
        next();
        return;
    }
    next(new errors_1.ValidationError(errors.mapped()));
};
exports.validate = (schema) => {
    return [schema, handleValidationMiddleware];
};
